9.0.4 doesn't build: no Makefile is created by the configure process

option, parallelism,...

Moderators: jbeuken, Jordan, pouillon

Forum rules
Please have a look at ~abinit/doc/config/build-config.ac in the source package for detailed and up-to-date information about the configuration of Abinit builds.
For a video explanation on how to build Abinit for Linux, please go to: http://www.youtube.com/watch?v=DppLQ-KQA68.
IMPORTANT: when an answer solves your problem, please check the little green V-like button on its upper-right corner to accept it.
Post Reply
yurivict
Posts: 4
Joined: Mon Sep 03, 2018 6:31 am

9.0.4 doesn't build: no Makefile is created by the configure process

Post by yurivict » Tue May 19, 2020 9:43 am

Code: Select all

checking that generated files are newer than configure... done
configure: creating ./config.status
config.status: creating fallbacks/INSTALL
config.status: creating fallbacks/README
config.status: creating fallbacks/build-abinit-fallbacks.sh
config.status: creating config.h
config.status: executing depfiles commands
config.status: executing default commands
checking which fallbacks to look for... none
===>  Building for abinit-9.0.4
gmake[2]: Entering directory '/usr/ports/science/abinit/work/abinit-9.0.4'
gmake[2]: Makefile: No such file or directory
gmake[2]: *** No rule to make target 'Makefile'.  Stop.
gmake[2]: Leaving directory '/usr/ports/science/abinit/work/abinit-9.0.4'
===> Compilation failed unexpectedly.

User avatar
jbeuken
Posts: 322
Joined: Tue Aug 18, 2009 9:24 pm
Contact:

Re: 9.0.4 doesn't build: no Makefile is created by the configure process

Post by jbeuken » Mon May 25, 2020 9:36 am

Hi,
wget https://www.abinit.org/sites/default/fi ... 0.4.tar.gz
--2020-05-25 09:21:27-- https://www.abinit.org/sites/default/fi ... 0.4.tar.gz
...
2020-05-25 09:21:28 (70.2 MB/s) - ‘abinit-9.0.4.tar.gz’ saved [87453615/87453615]

tar xzf abinit-9.0.4.tar.gz
cd abinit-9.0.4/
./configure -q

==============================================================================
=== Basic initialization ===
==============================================================================

==============================================================================
=== Build-system information ===
==============================================================================

==============================================================================
=== Option consistency checking ===
==============================================================================

==============================================================================
=== Feature triggers and architecture startup ===
==============================================================================

<snip>... </snip>

+------------------------------------------------------------------+
| CAUTION : HDF5 is MANDATORY !
+------------------------------------------------------------------+
| suggestion : use with_hdf5 in the ac9 file
|
| Note : NetCDF and NetCDFF depend of HDF5. So we can not test
| the functioning of NetCDF and NetCDFF.
+------------------------------------------------------------------+

+------------------------------------------------------------------+
| CAUTION : LibXC is MANDATORY !
+------------------------------------------------------------------+
| suggestion : use with_libxc in the ac9 file
+------------------------------------------------------------------+

+------------------------------------------------------------------+
| We can help you !
+------------------------------------------------------------------+
| As you have problems with mandatory librairies,
| we can create them for you. Please issue:
|
| cd fallbacks
| ./build-abinit-fallbacks.sh
|
| At the end of the process, options pointing
| to functional libraries will be proposed.
|
| Just copy/paste the options in your ac9 file.
+------------------------------------------------------------------+

+------------------------------------------------------------------+
| Problems must be solved before continuing
+------------------------------------------------------------------+
as you see, the configure works...
expected erros at the end : we need to install all mandatory fallbacks/libraries... : another story ;)

regards
jmb
------
Jean-Michel Beuken
Computer Scientist

Post Reply